Bug 834919 - JBD: Spotted dirty metadata buffer
JBD: Spotted dirty metadata buffer
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Lukáš Czerner
Eryu Guan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-24 18:16 EDT by Stephan Edelman
Modified: 2014-10-10 02:05 EDT (History)
6 users (show)

See Also:
Fixed In Version: kernel-2.6.32-412.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 08:17:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephan Edelman 2012-06-24 18:16:06 EDT
Description of problem:

Kernel periodically reports in syslog:

JBD: Spotted dirty metadata buffer (dev = sda3, blocknr = XXXXXXX). There's a risk of filesystem corruption in case of system crash.

Version-Release number of selected component (if applicable):

2.6.32-220.23.1.el6.x86_64

How reproducible:

This problem appears to reveal itself only when the system is under heavy memory pressure.

Steps to Reproduce:

(1) Reduce available free memory (For example, edit /etc/sysctl.conf and set vm.swappiness=1 and vm.nr_hugepages=XXXX. Where XXXX is the available free memory in MB / 2. Then run sysctl -p)

(2) Run iozone -a -i 0 -i 1 -s 524288 -f /var/testfile (where /var is an EXT4 filesystem mounted with data=journal)
  
Actual results:

JBD error messages in syslog

Expected results:

No error messages in syslog

Additional info:

This issue appears to be described in https://lkml.org/lkml/2011/12/13/228

EXT4 file system mounted with data=journal,noatime,nodiratime,barrier=0 mount options. 

File system is plain (no LVM) on a RAID 1 SAS using an Intel RS2BL040 controller (FW Package Build: 12.7.0-0007)

Changing mount options from data=journal to data=ordered does not produce the warning under the same conditions. It appears that it is therefore unsafe to use full journaling until this bug is corrected, as recovery after a crash may be much worse than for the default data=ordered mode.
Comment 2 Ric Wheeler 2012-07-03 10:16:04 EDT
Hi Stephen,

Please open a support ticket with Red Hat support so they can help you dig into this.

In general, I would recommend avoid data=journal mode since it is not well tested.

Best regards,

Ric Wheeler
Comment 3 RHEL Product and Program Management 2012-12-14 03:26:07 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 6 RHEL Product and Program Management 2013-07-24 06:11:02 EDT
This request was evaluated by Red Hat Product Management for
inclusion in a Red Hat Enterprise Linux release.  Product
Management has requested further review of this request by
Red Hat Engineering, for potential inclusion in a Red Hat
Enterprise Linux release for currently deployed products.
This request is not yet committed for inclusion in a release.
Comment 8 Rafael Aquini 2013-08-15 09:16:50 EDT
Patch(es) available on kernel-2.6.32-412.el6
Comment 12 errata-xmlrpc 2013-11-21 08:17:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1645.html

Note You need to log in before you can comment on or make changes to this bug.